Get a project by ID
curl --request GET \
--url https://api.engagefabric.com/projects/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.engagefabric.com/projects/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engagefabric.com/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"tenantId": "123e4567-e89b-12d3-a456-426614174000",
"name": "My Awesome App",
"slug": "my-awesome-app",
"environment": "PRODUCTION",
"status": "ACTIVE",
"isActive": true,
"tier": "FREE",
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-15T10:30:00Z",
"description": "Production environment for My Awesome App",
"config": {
"xp": {
"levelCurve": "exponential",
"baseXP": 100
},
"currencies": [
{
"id": "coins",
"name": "Coins"
}
]
},
"metadata": {
"version": "1.0.0"
},
"deletedAt": null,
"_count": {
"players": 150,
"apiKeys": 3
}
}projects
Get a project by ID
GET
/
projects
/
{id}
Get a project by ID
Authorizations
JWT token for admin console authentication
Path Parameters
Project UUID
Response
Project found
Unique project identifier
Example:
"123e4567-e89b-12d3-a456-426614174000"
Tenant ID that owns this project
Example:
"123e4567-e89b-12d3-a456-426614174000"
Project name
Example:
"My Awesome App"
URL-friendly slug
Example:
"my-awesome-app"
Environment type
Available options:
DEVELOPMENT, STAGING, PRODUCTION Example:
"PRODUCTION"
Project status
Available options:
ACTIVE, PAUSED, ARCHIVED Example:
"ACTIVE"
Whether the project is active (status === ACTIVE)
Example:
true
Rate limiting tier
Available options:
FREE, STARTER, PROFESSIONAL, BUSINESS, ENTERPRISE Example:
"FREE"
Creation timestamp
Example:
"2025-01-15T10:30:00Z"
Last update timestamp
Example:
"2025-01-15T10:30:00Z"
Project description
Example:
"Production environment for My Awesome App"
Game configuration (XP, currencies, lives, etc.)
Example:
{
"xp": {
"levelCurve": "exponential",
"baseXP": 100
},
"currencies": [{ "id": "coins", "name": "Coins" }]
}
Additional metadata
Example:
{ "version": "1.0.0" }
Soft deletion timestamp
Example:
null
Related entity counts
Show child attributes
Show child attributes
